#
# spec file for package viewnior
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           viewnior
Version:        1.5
Release:        7.2
Summary:        Elegant Image Viewer
License:        GPL-3.0+
Group:          Productivity/Graphics/Viewers
Url:            http://siyanpanayotov.com/project/viewnior/
Source0:        https://github.com/xsisqox/Viewnior/archive/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(gtk+-2.0)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Viewnior is an image viewer program. Created to be simple, fast and elegant.
It's minimalistic interface provides more screen space for your images. Among
its features are:

* Fullscreen & Slideshow
* Rotate, flip, save, delete images
* Animation support
* Browse only selected images
* Navigation window
* Simple interface
* Configurable mouse actions

%lang_package

%prep
%setup -q -n Viewnior-%{name}-%{version}
# fix spurious executable perms
chmod 0644 AUTHORS COPYING NEWS README TODO src/*

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file -r -G "Elegant Image Viewer" %{name} Graphics Viewer GTK

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_mandir}/man*/%{name}.*

%files lang -f %{name}.lang

%changelog
* Mon May  4 2015 lazy.kent@opensuse.org
- Update to 1.5.
  * Disable Wallpaper support during compilation.
  * Updated translations.
  * Fixed preferences menu position.
  * Nitrogen wallpaper support.
- Corrected the URL and the source URL.
- Drop viewnior-1.4-print.patch: no skill to maintain the patch, and
  it wasn't good enough.
- Drop viewnior-1.4-russian.patch: fixed upstream.
- Replace BuildRequires: libtool -> gnome-common.
- Don't install obsolete ChangeLog (2009).
- No configure, then run autogen.sh.
* Tue Feb 18 2014 lazy.kent@opensuse.org
- Update to 1.4.
  * New features:
    + Read EXIF and IPTC metadata.
    + Nitrogen support.
    + Updated translations.
  * Fixes:
    + Preserve metadata after image modification.
    + Rendidering artifacts when panning.
- Drop viewnior-1.1-ld_fix.patch (no need).
- Rebase viewnior-print.patch.
- Add viewnior-1.4-russian.patch: update Russian translation.
- Add BuildRequire: gcc-c++ pkgconfig(exiv2).
- Correct the source URL.
* Sat Jan  4 2014 lazy.kent@opensuse.org
- Add viewnior-print.patch: add printing support (lp#816563); the
  patch is updated for the current version of Viewnior.
- BuildRequires: libtool.
* Wed Mar 14 2012 lazy.kent@opensuse.org
- Update to 1.3.
  * New features:
    + Wallpaper support for LXDE.
    + Hebrew translation.
  * Fixes:
    + Wallpaper fix for XFCE.
    + Minor fixes.
- Changes in 1.2.
  * New features:
    + Improved menu interface.
    + Wallpaper support for Gnome 2, Gnome 3, XFCE and FluxBox.
    + --fullscreen argument to start in Fullscreen mode.
    + GConf independent.
  * Fixes:
    + Drop images with right click.
    + Save 'Auto resize' option between sessions.
- Split off language package.
- Use full URL as a source.
- Use pkgconfig(*) as build dependencies.
- Removed useless build dependencies (gconf2-devel, gettext,
  shared-mime-info).
- Use make_install macro.
- Added desktop_database_post/un and icon_theme_cache_post/un
  macros.
- Clean up spec.
* Sun Sep 18 2011 andrea@opensuse.org
- added viewnior-1.1-ld_fix.patch to fix failure caused by new ld
* Fri Aug 19 2011 andrea@opensuse.org
- New package
